Bug 12166 - Improve display of hold charges in patron account
Summary: Improve display of hold charges in patron account
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 12324 (view as bug list)
Depends on:
Blocks: 18352 22628
  Show dependency treegraph
 
Reported: 2014-04-30 22:36 UTC by Katrin Fischer
Modified: 2019-04-11 18:12 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12166: Improve display of Reserve charges in patron account (11.18 KB, patch)
2019-02-20 17:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12166: Improve display of Reserve charges in patron account (10.97 KB, patch)
2019-04-04 15:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12166: Improve display of Reserve charges in patron account (11.06 KB, patch)
2019-04-06 12:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines (1.48 KB, patch)
2019-04-06 12:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12166: (follow-up) Fix sequence of columns in OPAC (1.29 KB, patch)
2019-04-06 13:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines (1.49 KB, patch)
2019-04-06 18:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12166: (follow-up) Fix sequence of columns in OPAC (1.29 KB, patch)
2019-04-06 18:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines (1.54 KB, patch)
2019-04-08 13:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12166: (follow-up) Fix sequence of columns in OPAC (1.33 KB, patch)
2019-04-08 13:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12166: Improve display of Reserve charges in patron account (11.09 KB, patch)
2019-04-09 08:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines (1.60 KB, patch)
2019-04-09 08:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 12166: (follow-up) Fix sequence of columns in OPAC (1.40 KB, patch)
2019-04-09 08:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 12166: (QA follow-up) Update test for description (1.24 KB, patch)
2019-04-09 08:20 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-04-30 22:36:27 UTC
Right now, a reserve charge will display in OPAC and staff like this:

Res, Reserve Charge - Administrative sanctions in the European Union / 

Res is the accounttype, which should be resolved into a description - Hold fee.

Reserve Charge should no longer be saved to the database, description should only have the title.

Ideally, existing Reserve charge entries should be cleaned up.
Comment 1 Liz Rea 2014-04-30 23:23:49 UTC
Why should a reserve charge not be saved to the database?
Comment 2 Liz Rea 2014-04-30 23:28:44 UTC
Never mind, you mean the text, not the charge itself. As you were.
Comment 3 Owen Leonard 2019-02-20 17:48:03 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-02-20 18:24:53 UTC
*** Bug 12324 has been marked as a duplicate of this bug. ***
Comment 5 Katrin Fischer 2019-04-03 20:40:29 UTC
Hi Owen, do you plan to continue here?
Comment 6 Owen Leonard 2019-04-04 13:42:44 UTC
I do.
Comment 7 Owen Leonard 2019-04-04 15:48:35 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2019-04-06 12:14:07 UTC
Created attachment 87472 [details] [review]
Bug 12166: Improve display of Reserve charges in patron account

This patch makes changes to the way hold fees are recorded and displayed
in the OPAC and staff client:

 - No English strings should be stored in the accountline description.
 - The accounttype code should be used to display what kind of charge it
   is.

To test, apply the patch and go to the staff client:

 - Configure a patron category to have a hold fee.
 - Place one or more holds for a patron in that category.
 - On the patron's record, view Accounting -> Make a payment
   - There should be a separate column for "Account type" showing "Hold
     fee" for the hold charges.
   - There should be no "Res" or "Reserve Charge" text in the
     description column--just the title.
 - Switch to the "Transactions" tab. The display should be similar.
 - In the OPAC, log in as a patron who has hold fees on their account.
   - View the "your fines" page to confirm that the information is
     displayed correctly there as well.

 - Place a hold for a patron who incurs hold charges.
 - Log in to the self-checkout module as that patron and check out an
   item which will fulfill that hold.
 - The correct fine information should be saved to accountlines: A "Res"
   type with a description consisting only of the title.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-04-06 12:14:12 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2019-04-06 12:15:27 UTC
Hi Owen, love the patch, this is so much better. 

Could you take a look at my follow-up?
Comment 11 Katrin Fischer 2019-04-06 13:18:01 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2019-04-06 18:15:54 UTC
Created attachment 87478 [details] [review]
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines

With the prior 'Hold fee' will be displayed in OPAC and staff, so
the 'Reserve Charge' would just be an untranslatable double up
of information.

To test:
- Make sure you create some Reserve Charges prior to applying this
  patch set
- Verify they show in staff and OPAC account
- Apply patch
- Run database update
- Verfy the "Rental Charge - " is gone and old and new entries
  match now
Comment 13 Katrin Fischer 2019-04-06 18:15:58 UTC
Created attachment 87479 [details] [review]
Bug 12166: (follow-up) Fix sequence of columns in OPAC

Type and description column headings were switched.

To test:
- Check the table headings of the fines table in the
  OPAC fines table match the content
Comment 14 Owen Leonard 2019-04-08 13:30:46 UTC
Created attachment 87520 [details] [review]
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines

With the prior 'Hold fee' will be displayed in OPAC and staff, so
the 'Reserve Charge' would just be an untranslatable double up
of information.

To test:
- Make sure you create some Reserve Charges prior to applying this
  patch set
- Verify they show in staff and OPAC account
- Apply patch
- Run database update
- Verfy the "Rental Charge - " is gone and old and new entries
  match now

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 15 Owen Leonard 2019-04-08 13:30:50 UTC
Created attachment 87521 [details] [review]
Bug 12166: (follow-up) Fix sequence of columns in OPAC

Type and description column headings were switched.

To test:
- Check the table headings of the fines table in the
  OPAC fines table match the content

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 16 Martin Renvoize 2019-04-09 08:15:43 UTC
Created attachment 87584 [details] [review]
Bug 12166: Improve display of Reserve charges in patron account

This patch makes changes to the way hold fees are recorded and displayed
in the OPAC and staff client:

 - No English strings should be stored in the accountline description.
 - The accounttype code should be used to display what kind of charge it
   is.

To test, apply the patch and go to the staff client:

 - Configure a patron category to have a hold fee.
 - Place one or more holds for a patron in that category.
 - On the patron's record, view Accounting -> Make a payment
   - There should be a separate column for "Account type" showing "Hold
     fee" for the hold charges.
   - There should be no "Res" or "Reserve Charge" text in the
     description column--just the title.
 - Switch to the "Transactions" tab. The display should be similar.
 - In the OPAC, log in as a patron who has hold fees on their account.
   - View the "your fines" page to confirm that the information is
     displayed correctly there as well.

 - Place a hold for a patron who incurs hold charges.
 - Log in to the self-checkout module as that patron and check out an
   item which will fulfill that hold.
 - The correct fine information should be saved to accountlines: A "Res"
   type with a description consisting only of the title.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2019-04-09 08:15:46 UTC
Created attachment 87585 [details] [review]
Bug 12166: (follow-up) Remove 'Reserve Charge' from descriptions in accountlines

With the prior 'Hold fee' will be displayed in OPAC and staff, so
the 'Reserve Charge' would just be an untranslatable double up
of information.

To test:
- Make sure you create some Reserve Charges prior to applying this
  patch set
- Verify they show in staff and OPAC account
- Apply patch
- Run database update
- Verfy the "Rental Charge - " is gone and old and new entries
  match now

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2019-04-09 08:15:49 UTC
Created attachment 87586 [details] [review]
Bug 12166: (follow-up) Fix sequence of columns in OPAC

Type and description column headings were switched.

To test:
- Check the table headings of the fines table in the
  OPAC fines table match the content

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2019-04-09 08:20:45 UTC
Created attachment 87587 [details] [review]
Bug 12166: (QA follow-up) Update test for description

Update the relevant test to check for 'description eq title' as aposed
to the old 'description eq "Reserve Charge - title"'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2019-04-09 08:21:27 UTC
Nice fix, no regressions and passes the QA scripts and I've added a followup for you to correct the failing test.

Passing QA
Comment 21 Martin Renvoize 2019-04-09 08:26:22 UTC
Dependencies seem a bit weird.. this patch happily applies without bug 11573.
Comment 22 Nick Clemens 2019-04-11 13:53:16 UTC
Awesome work all!

Pushed to master for 19.05